Xfce Wiki

Sub domains

Exo Roadmap for Xfce 4.8

Remove deprecated APIs and rename library to exo-1

Since the exo-0.3 library name does not make sense if the library version will be 0.5.x and 0.6.0 for the Xfce 4.8 release, we decided the API version should be 1. Because of this version bump, we could also drop deprecated (with Gtk 2.14 and Glib 2.20 in mind) API.

Completed: 100%
Asignees: Jannis, Nick
Difficulty: Easy

GIO module for URI handling

We should make our preferred application framework compatible with GIO, so that known URIs are handled by Exo. This allows gtk_show_uri() to work properly.

Completed: 100%
Asignee: Nick
Difficulty: Easy
Bugs: #5687